import { Service } from '@/Service/Service';
/*****用户接口*****/
class userService {
	private static GetUserInfoPath : string = '/api/User/GetUserInfo';
	/*****获取用户信息接口*****/
	static GetUserInfo() {
		var result = Service.Request(this.GetUserInfoPath, "GET", {});
		return result;
	}
	
	
	private static IsCheakUserVerifyPath : string = '/api/User/IsCheakUserVerify';
	/*****是否可以使用接口*****/
	static IsCheakUserVerify() {
		var result = Service.Request(this.IsCheakUserVerifyPath, "GET", {});
		return result;
	}
	
	private static UpdateUserInfoPath : string = '/api/User/UpdateUserInfo';
	/*****修改用户信息接口*****/
	static UpdateUserInfo(name:string,phone:string,headImg:string) {
		var result = Service.Request(this.UpdateUserInfoPath, "POST", {name,phone,headImg});
		return result;
	}
	
	
	private static GetUserListPath : string = '/api/User/GetUserList';
	/*****查询用户列表接口*****/
	static GetUserList(serch:string,page:number) {
		var result = Service.Request(this.GetUserListPath, "GET", {serch,page});
		return result;
	}
	
	
	private static UpdateUserRolePath : string = '/api/User/UpdateUserRole';
	/*****更改用户权限接口*****/
	static UpdateUserRole(userId:string) {
		var result = Service.Request(this.UpdateUserRolePath, "POST", {userId});
		return result;
	}
	
	
	private static GetKefuInfoPath : string = '/api/User/GetKefuInfo';
	/*****获取客服信息接口*****/
	static GetKefuInfo() {
		var result = Service.Request(this.GetKefuInfoPath, "GET", {});
		return result;
	}
	
	
	private static UpdateKefuPath : string = '/api/User/UpdateKefu';
	/*****修改客服信息接口*****/
	static UpdateKefu(phone:string,name:string) {
		var result = Service.Request(this.UpdateKefuPath, "POST", {phone,name});
		return result;
	}
	
	
	// private static GetStudentInfoPath : string = '/api/Student/GetStudentInfo';
	// /*****根据学生id查详情接口*****/
	// static GetStudentInfo(studentId:string) {
	// 	var result = Service.Request(this.GetStudentInfoPath, "GET", {studentId});
	// 	return result;
	// }
}
export {
	Service,
	userService
}